org.apache.cassandra.streaming.compress

## Class CompressedFileStreamTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.streaming.FileStreamTask
    - - org.apache.cassandra.streaming.compress.CompressedFileStreamTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class CompressedFileStreamTask
      extends FileStreamTask

  FileStreamTask for compressed SSTable. This class sends relevant part of compressed file directly using nio if available.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHUNK_SIZE`

    - ### Fields inherited from class org.apache.cassandra.streaming.FileStreamTask

      `header, MAX_CONNECT_ATTEMPTS, metrics, socket, throttle, to`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedFileStreamTask(StreamHeader header, java.net.InetAddress to)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `stream()` Stream file by it's sections specified by this.header

    - ### Methods inherited from class org.apache.cassandra.streaming.FileStreamTask

      `close, receiveReply, runMayThrow, toString, write`

    - ### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHUNK_SIZE

          public static final int CHUNK_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CompressedFileStreamTask

          public CompressedFileStreamTask(StreamHeader header,
                                  java.net.InetAddress to)

  - ### Method Detail

    - #### stream

          protected void stream()
                         throws java.io.IOException

      Description copied from class: `FileStreamTask`
      Stream file by it's sections specified by this.header
      Overrides:
        `stream` in class `FileStreamTask`
      Throws:
        `java.io.IOException` - on any I/O error

Copyright © 2014 The Apache Software Foundation